package com.yonge.cooleshow.biz.dal.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

/**
 * 用户会员类型
 */
public enum EUserVipType implements BaseEnum<String, EUserVipType> {

    NORMAL("普通用户"),
    VIP("VIP会员"),
    SVIP("SVIP会员"),

    ;
    @EnumValue
    private String code;
    private String name;

    EUserVipType(String name) {
        this.code = this.name();
        this.name = name;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getName() {
        return name;
    }
}